# Generated by Django 3.2.3 on 2022-07-27 16:05

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Bonos',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('total_apoyosbonos_agregcomis', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('comision_complemeto_salario_bonos', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('total_costo_empresa', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('ingreso_mensual_neto_empleado', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('monto', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('complete', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='Cuota',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Days',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('day', models.IntegerField(null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Excedente',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.DecimalField(decimal_places=4, max_digits=14, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='HIngresos',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='LimInf',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='LimSup',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Perfil',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('foto', models.ImageField(blank=True, null=True, upload_to='perfil/')),
                ('numero_de_trabajador', models.IntegerField(null=True)),
                ('empresa', models.CharField(max_length=50, null=True)),
                ('distrito', models.CharField(max_length=50, null=True)),
                ('nombres', models.CharField(max_length=50, null=True)),
                ('apellidos', models.CharField(max_length=50, null=True)),
                ('fecha_nacimiento', models.DateField(null=True)),
                ('correo_electronico', models.EmailField(max_length=50)),
                ('proyecto', models.CharField(max_length=50, null=True)),
                ('subproyecto', models.CharField(max_length=50, null=True)),
                ('complete', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='PIngresos',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Status',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('registro_patronal', models.CharField(max_length=50, null=True)),
                ('nss', models.CharField(max_length=50, null=True)),
                ('curp', models.CharField(max_length=50, null=True)),
                ('rfc', models.CharField(max_length=50, null=True)),
                ('profesion', models.CharField(max_length=50, null=True)),
                ('no_cedula', models.CharField(max_length=50, null=True)),
                ('nivel', models.IntegerField(null=True)),
                ('tipo_de_contrato', models.CharField(max_length=50, null=True)),
                ('ultimo_contrato_vence', models.DateField(null=True)),
                ('tipo_sangre', models.CharField(max_length=50, null=True)),
                ('sexo', models.CharField(max_length=50, null=True)),
                ('domicilio', models.CharField(max_length=60, null=True)),
                ('estado_civil', models.CharField(max_length=50, null=True)),
                ('fecha_planta_anterior', models.DateField(blank=True, null=True)),
                ('fecha_planta', models.DateField(null=True)),
                ('complete', models.BooleanField(default=False)),
                ('perfil', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='proyecto.perfil')),
            ],
        ),
        migrations.CreateModel(
            name='Subsidio',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Years',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('year', models.IntegerField(null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Vacaciones',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('periodo', models.CharField(max_length=50, null=True)),
                ('dias_de_vacaciones', models.IntegerField(null=True)),
                ('dias_disfrutados', models.IntegerField(null=True)),
                ('total_pendiente', models.IntegerField(null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('complete', models.BooleanField(default=False)),
                ('status', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='proyecto.status')),
            ],
        ),
        migrations.CreateModel(
            name='Uniformes',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('fecha_ultima_entrega', models.DateField(null=True)),
                ('uniformes_entregados', models.IntegerField(null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('complete', models.BooleanField(default=False)),
                ('status', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='proyecto.status')),
            ],
        ),
        migrations.CreateModel(
            name='TablaVacaciones',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('complete', models.BooleanField(default=False)),
                ('days', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='proyecto.days')),
                ('years', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='proyecto.years')),
            ],
        ),
        migrations.CreateModel(
            name='Economicos',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('periodo', models.CharField(max_length=50, null=True)),
                ('dias_pendientes', models.IntegerField(null=True)),
                ('dias_disfrutados', models.IntegerField(null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('complete', models.BooleanField(default=False)),
                ('status', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='proyecto.status')),
            ],
        ),
        migrations.CreateModel(
            name='DatosISR',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('complete', models.BooleanField(default=False)),
                ('cuota', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='proyecto.cuota')),
                ('excedente', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='proyecto.excedente')),
                ('g_ingresos', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='proyecto.hingresos')),
                ('liminf', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='proyecto.liminf')),
                ('limsup', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='proyecto.limsup')),
                ('p_ingresos', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='proyecto.pingresos')),
                ('subsidio', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='proyecto.subsidio')),
            ],
        ),
        migrations.CreateModel(
            name='DatosBancarios',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('no_de_cuenta', models.CharField(max_length=50, null=True)),
                ('numero_de_tarjeta', models.CharField(max_length=50, null=True)),
                ('clabe_interbancaria', models.CharField(max_length=50, null=True)),
                ('banco', models.CharField(max_length=50, null=True)),
                ('complete', models.BooleanField(default=False)),
                ('status', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='proyecto.status')),
            ],
        ),
        migrations.CreateModel(
            name='Costo',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('seccion', models.CharField(max_length=50, null=True)),
                ('puesto', models.CharField(max_length=50, null=True)),
                ('amortizacion_infonavit', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('fonacot', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('neto_catorcenal_sin_deducciones', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('complemento_salario_catorcenal', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('sueldo_diario', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('sdi', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('apoyo_de_pasajes', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('imms_obrero_patronal', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('apoyo_vist_familiar', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('estancia', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('renta', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('apoyo_estudios', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('amv', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('gasolina', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('campamento', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('total_deduccion', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('neto_pagar', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('sueldo_mensual_neto', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('complemento_salario_mensual', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('sueldo_mensual', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('sueldo_mensual_sdi', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('total_percepciones_mensual', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('impuesto_estatal', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('sar', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('cesantia', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('infonavit', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('isr', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('lim_inferior', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('excedente', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('tasa', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('impuesto_marginal', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('cuota_fija', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('impuesto', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('subsidio', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('total_apoyosbonos_empleadocomp', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('bonototal', models.DecimalField(blank=True, decimal_places=2, max_digits=14, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('complete', models.BooleanField(default=False)),
                ('status', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='proyecto.status')),
            ],
        ),
        migrations.CreateModel(
            name='Catorcenas',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('fecha_catorcena', models.DateField(null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('complete', models.BooleanField(default=False)),
                ('bonos', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='proyecto.bonos')),
            ],
        ),
        migrations.AddField(
            model_name='bonos',
            name='costo',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='proyecto.costo'),
        ),
        migrations.AddField(
            model_name='bonos',
            name='datosbancarios',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='proyecto.datosbancarios'),
        ),
    ]
