# Generated by Django 3.2.3 on 2022-08-01 16:02

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('proyecto', '0016_bonos_fecha_bono'),
    ]

    operations = [
        migrations.CreateModel(
            name='HistoricalBonos',
            fields=[
                ('id', models.BigIntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('total_apoyosbonos_agregcomis', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('comision_complemeto_salario_bonos', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('total_costo_empresa', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('ingreso_mensual_neto_empleado', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('monto', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('fecha_bono', models.DateField(null=True)),
                ('created_at', models.DateTimeField(blank=True, editable=False)),
                ('updated_at', models.DateTimeField(blank=True, editable=False)),
                ('complete', models.BooleanField(default=False)),
                ('history_change_reason', models.TextField(null=True)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField(db_index=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('costo', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='proyecto.costo')),
                ('datosbancarios', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='proyecto.datosbancarios')),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical bonos',
                'verbose_name_plural': 'historical bonoss',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': ('history_date', 'history_id'),
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalCosto',
            fields=[
                ('id', models.BigIntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('seccion', models.CharField(max_length=50, null=True)),
                ('puesto', models.CharField(max_length=50, null=True)),
                ('amortizacion_infonavit', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('fonacot', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('neto_catorcenal_sin_deducciones', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('complemento_salario_catorcenal', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('sueldo_diario', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('sdi', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('apoyo_de_pasajes', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('imms_obrero_patronal', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('apoyo_vist_familiar', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('estancia', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('renta', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('apoyo_estudios', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('amv', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('gasolina', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('campamento', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('total_deduccion', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('neto_pagar', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('sueldo_mensual_neto', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('complemento_salario_mensual', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('sueldo_mensual', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('sueldo_mensual_sdi', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('total_percepciones_mensual', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('impuesto_estatal', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('sar', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('cesantia', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('infonavit', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('isr', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('lim_inferior', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('excedente', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('tasa', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('impuesto_marginal', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('cuota_fija', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('impuesto', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('subsidio', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('total_apoyosbonos_empleadocomp', models.DecimalField(decimal_places=2, max_digits=14, null=True)),
                ('bonototal', models.DecimalField(blank=True, decimal_places=2, max_digits=14, null=True)),
                ('created_at', models.DateTimeField(blank=True, editable=False)),
                ('updated_at', models.DateTimeField(blank=True, editable=False)),
                ('complete', models.BooleanField(default=False)),
                ('history_change_reason', models.TextField(null=True)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField(db_index=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('status', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='proyecto.status')),
            ],
            options={
                'verbose_name': 'historical costo',
                'verbose_name_plural': 'historical costos',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': ('history_date', 'history_id'),
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.DeleteModel(
            name='RegistroVacaciones',
        ),
    ]
