from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static
from proyecto import views


urlpatterns = [
    path('', views.Index, name='Inicio'),
    path('...', views.Principal, name='Principal'),

    path('Perfil', views.Perfil_vista, name='Perfil'),
    path('Status', views.Status_vista, name='Status'),
    path('Formulario_Perfil', views.FormularioPerfil, name='Formulario_perfil'),
    path('Formulario_Status', views.FormularioStatus, name='Formulario_status'),
    path('upload_Perfil', views.upload_batch_empleados, name='Upload_perfil'),

    path('Perfil/update/<int:pk>/', views.PerfilUpdate, name='Perfil_update'),
    path('Perfil/revisar/<int:pk>/', views.Perfil_revisar, name='Perfil_revisar'),
    path('Status/update/<int:pk>/', views.StatusUpdate, name='Status_update'),
    path('Status/revisar/<int:pk>/', views.Status_revisar, name='Status_revisar'),
    path('upload_Status', views.upload_batch_status, name='Upload_status'),

    path('Administrar', views.Admininistrar_tablas, name='Administrar_tablas'),

    path('Tabla_ISR', views.Tabla_isr, name='Tabla_isr'),
    path('ISR/update/<int:pk>/', views.IsrUpdate, name='Isr_update'),

    path('Tabla_Costo', views.TablaCosto, name='Tabla_costo'),
    path('Formulario_Costo', views.FormularioCosto, name='Formulario_costo'),

    path('Costo/update/<int:pk>/', views.CostoUpdate, name='Costo_update'),
    path('Costo/revisar/<int:pk>/', views.Costo_revisar, name='Costo_revisar'),
    path('Costo/History/<int:pk>/', views.HistoryCosto, name='Costo_history'),

    path('Tabla_Vacaciones', views.Tabla_dias_vacaciones, name='Tabla_dias_vacaciones'),
    path('Formulario_Vacaciones', views.FormularioVacaciones, name='Formulario_vacaciones'),
    path('VacacionesEmpleados', views.Tabla_Vacaciones, name='Tabla_vacaciones_empleados'),

    path('Vacaciones/update/<int:pk>/', views.VacacionesUpdate, name='Vacaciones_update'),
    path('Vacaciones_dias/update/<int:pk>/', views.Dias_VacacionesUpdate, name='Dias_Vacaciones_update'),

    path('Formulario_DatosBancarios', views.FormularioDatosBancarios, name='Formulario_datosbancarios'),
    path('Tabla_DatosBancarios', views.Tabla_Datosbancarios, name='Tabla_datosbancarios'),
    path('Formulario_Bonos', views.FormularioBonos, name='Formulario_bonos'),
    path('Tabla_Bonos', views.TablaBonos, name='Tabla_bonos'),

    path('Bonos/update/<int:pk>/', views.BonosUpdate, name='Bonos_update'),

    path('DatosBancarios/update/<int:pk>/', views.BancariosUpdate, name='Bancarios_update'),

    path('Tabla_Uniformes', views.Tabla_uniformes, name='Tabla_uniformes'),
    path('Formulario_Uniformes', views.FormularioUniformes, name='Formulario_uniformes'),

    path('Uniformes/update/<int:pk>/', views.UniformesUpdate, name='Uniformes_update'),
    path('Uniformes/revisar/<int:pk>/', views.Uniformes_revisar, name='Uniformes_revisar'),

    path('Formulario_Economicos', views.FormularioEconomicos, name='Formulario_economicos'),
    path('Tabla_Economicos', views.Tabla_Economicos, name='Tabla_economicos'),

    path('Economicos/update/<int:pk>/', views.EconomicosUpdate, name='Economicos_update'),

] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)